public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-gravatar/
Date: Tue, 23 Jun 2020 21:13:43 +0000 (UTC)	[thread overview]
Message-ID: <1592946801.372315986c5a9bfd14a6088964df7056d8d159e2.mgorny@gentoo> (raw)

commit:     372315986c5a9bfd14a6088964df7056d8d159e2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 23 21:13:21 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 23 21:13:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37231598

dev-python/flask-gravatar: Enable tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild b/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild
index 01350e36cdc..0a62779f0ae 100644
--- a/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild
+++ b/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild
@@ -20,7 +20,17 @@ KEYWORDS="amd64 x86"
 
 RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
 
+distutils_enable_tests pytest
+
 src_prepare() {
 	sed -i -e '/pytest-runner/d' setup.py || die
+	sed -e 's:--pep8::' \
+		-e 's:--cov=flask_gravatar --cov-report=term-missing::' \
+		-i pytest.ini || die
 	distutils-r1_src_prepare
 }
+
+python_test() {
+	cd tests || die
+	pytest -vv || die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2020-06-23 21:13 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-23 21:13 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-11-30 14:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-gravatar/ Michał Górny
2023-11-30  5:48 Michał Górny
2023-07-06 12:08 Michał Górny
2023-06-02 18:19 Michał Górny
2023-05-29  4:51 Arthur Zamarin
2023-02-21 17:06 Sam James
2021-06-05 13:42 Michał Górny
2021-01-09 18:58 Sam James
2020-06-23 21:13 Michał Górny
2020-03-27  9:16 Michał Górny
2020-02-05 21:28 Andreas Sturmlechner
2020-02-05 13:24 Michał Górny
2019-12-01 19:27 Andreas Sturmlechner
2018-07-09 18:58 Mikle Kolyada
2018-07-09  1:29 Thomas Deutschmann
2018-05-20 14:12 Aaron Swenson
2018-03-02 12:22 Aaron Swenson
2017-12-22 16:32 Jason Zaman
2017-09-09 23:27 Aaron Swenson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1592946801.372315986c5a9bfd14a6088964df7056d8d159e2.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox